/*--------------------------------------------------*/
/*Widget parents rules*/

div.elementor:has(.site-footer) > div.elementor-element {
	padding : 0 !important;
}

div.elementor:has(.site-footer) > div.elementor-element > div {
	padding   : 0 !important;
	max-width : 100% !important;
}

div.elementor-location-footer > div.elementor-element,
div.elementor-location-footer > div.elementor-element > div {
	padding   : 0 !important;
	max-width : 100% !important;
}

div.elementor-location-footer .elementor-widget {
	width          : 100%;
	display        : flex;
	flex-direction : column;
}

/*--------------------------------------------------*/


.site-footer {
	position            : relative;
	background-size     : cover;
	background-position : top;
	background-repeat   : no-repeat;
	height              : 100%;
	padding             : 50px 0 25px 0;
}

.site-footer * {
	color : white;
}

.site-footer:after {
	display : none !important;
}

.site-footer-logo {
	margin : 0 auto;
	width  : 160px;
}

.site-footer-logo img {
	width  : 100%;
	height : auto;
}

.site-footer-reviews {
	margin : 0 auto;
}

.footer-menu {
	display        : flex;
	width          : fit-content;
	flex-direction : column;
	gap            : 10px;
	flex-wrap      : wrap;
	list-style     : none;
	margin         : 0 !important;
	align-items    : flex-start;
}

.footer-menu li a {
	font-size   : 0.8rem;
	font-weight : 400;
	line-height : 20px;
	color       : white;
}

.footer-menu li a:hover {
	color : var(--e-global-color-accent);
}

.footer-menu li a[href="#"] {
	pointer-events : none;
}

.barre-horizontal {
	width         : 100%;
	height        : 1px;
	background    : var(--e-global-color-accent, #fdfeff);
	margin        : 0;
	border        : none;
	border-radius : 0;
	overflow      : hidden;
	padding       : 0;
	display       : block;
}

.menus__column {
	display         : flex;
	flex-direction  : row;
	align-self      : center;
	justify-content : space-between;
	padding         : 50px 0;
}


/*--------------------------------------------------*/
/*Instagram*/

.footer-feed {
	gap              : 30px;
	z-index          : 10;
	display          : flex;
	padding          : 5em 0 !important;
	overflow         : hidden;
	flex-direction   : column;
	background-color : #fdfeff;
	border-top       : solid 1px var(--e-global-color-ab7a154);
}

.footer-feed__titles {
	display         : flex;
	flex-direction  : row;
	margin          : 0 auto;
	width           : fit-content;
	justify-content : center;
	gap             : 60px;
	align-items     : center;
}

.footer-feed__titles span {
	color       : var(--e-global-color-891cfe9);
	margin      : 0;
	padding     : 0;
	font-size   : 60px;
	font-style  : normal;
	font-weight : 800;
	line-height : 65px;
}

.footer-feed__sub-titles {
	display         : flex;
	flex-direction  : row;
	align-items     : center;
	justify-content : center;
	margin          : 0 auto;
	width           : fit-content;
	gap             : 60px;

	color           : var(--e-global-color-primary);
	text-align      : center;
	font-size       : 18px;
	font-style      : normal;
	font-weight     : 400;
	line-height     : 125%;
	letter-spacing  : 0.2px;
}

.footer-feed__titles a {
	color       : #DAC8A0;
	text-align  : center;
	font-size   : 18px;
	font-style  : normal;
	font-weight : 500;
	cursor      : pointer;
	margin      : 0;
	padding     : 0;
}

.footer-feed__titles .reseaux {
	display        : flex;
	flex-direction : row;
	align-items    : flex-end;
	gap            : 12px;
}

.footer-feed__content #sbi_images {
	gap : 1em;
}

.footer-feed__content #sbi_images,
.footer-feed__content #sb_instagram {
	padding  : 0 !important;
	height   : unset !important;
	overflow : unset !important;
}

/*Instagram*/
/*--------------------------------------------------*/

/*--------------------------------------------------*/
/*Site Footer*/

.footer-row * {
	font-family : var(--e-global-typography-primary-font-family), Raleway, sans-serif !important;
}

/*	Il faut mettre le bouton submit dans l'input*/
.form-newsletter {
	margin-top    : 12px;
	margin-bottom : -12px;
}

.form-newsletter .forminator-field label {
	display : none !important;
}

.form-newsletter .forminator-row .forminator-field-email .forminator-field input {
	width         : 100% !important;
	height        : 50px !important;
	padding       : 10px 14px !important;
	border-radius : 10px !important;
	z-index       : 6 !important;
	border        : none !important;
}

.form-newsletter .forminator-row .forminator-field-email .forminator-field input text,
.form-newsletter .forminator-row .forminator-field-email .forminator-field input::placeholder,
.form-newsletter .forminator-input.forminator-email--field {
	color       : var(--e-global-color-text) !important;
	font-size   : 16px !important;
	font-style  : normal !important;
	font-weight : 400 !important;
	line-height : 31px !important;
}

.form-newsletter .forminator-col .forminator-field .forminator-button.forminator-button-submit {
	background-color : var(--e-global-color-36fec36) !important;
	color            : white !important;
	border           : none !important;
	padding          : 0 10px !important;
	border-radius    : 7px !important;
	cursor           : pointer !important;
	position         : absolute !important;
	height           : 34px !important;
	max-height       : 34px !important;
	min-height       : 34px !important;
	z-index          : 10 !important;
	right            : unset !important;
	left             : unset !important;
	transform        : translate(50px, -58px) !important;
	align-self       : self-end !important;
	min-width        : unset !important;
	font-size        : 14px !important;
	font-style       : normal !important;
	font-weight      : 500 !important;
	line-height      : 26px !important;
	letter-spacing   : 0.1px !important;
}

.forminator-response-message.forminator-show.forminator-success {
	max-width : 270px !important;
}

.footer-row__column span,
.footer-row__column li,
.footer-row__column p {
	color : var(--e-global-color-text) !important;
}

.footer-row {
	display          : flex;
	flex-direction   : row;
	align-items      : center;
	justify-content  : center;
	background-color : #fdfeff;
}

.footer-row__content {
	border-radius   : 48px;
	background      : linear-gradient(183deg, var(--e-global-color-75f4980, #E6F4FD) 23.43%, var(--e-global-color-21cbfb3, #ABDDF4) 140.21%);
	display         : flex;
	flex-direction  : row;
	align-items     : center;
	justify-content : center;
	width           : 100%;
	margin          : 24px;
	height          : 620px;
}

.menus__column ul li a,
.menus__column span {
	color          : var(--e-global-color-text) !important;
	font-size      : 18px;
	font-style     : normal;
	font-weight    : 800;
	line-height    : 30px;
	letter-spacing : 0.4px;
}

.menus__column .sub-menu ul,
.site-footer-menu ul.sub-menu {
	display        : flex;
	flex-direction : column;
	gap            : 14px;
	padding        : 0;
	margin         : 0;
	list-style     : none;
}

.menus__column .sub-menu a {
	color          : var(--e-global-color-text) !important;
	font-size      : 15px !important;
	font-style     : normal !important;
	font-weight    : 400 !important;
	line-height    : 24px !important;
	letter-spacing : 0.4px !important;
}

.menus__column .sub-menu li:first-child,
.sub-menu.newsletter p {
	padding-top : 18px;
}

.newsletter-wip,
.newsletter-wip em {
	color : var(--e-global-color-text) !important;
}

.sub-menu.newsletter .reseaux {
	padding-top    : 14px;
	display        : flex;
	flex-direction : row;
	gap            : 12px;
}

.sub-menu.newsletter .reseaux p {
	padding-bottom : 0 !important;
}

/*Site Footer*/
/*--------------------------------------------------*/

/*--------------------------------------------------*/
/*Creation*/

.footer-bottom__infos {
	padding-top : 25px;
}

.footer__creation .site-footer-menu span {
	display : none;
}

.footer__creation .site-footer-menu ul {
	flex-direction  : row;
	justify-content : start;
	align-content   : center;
	align-items     : center;
	gap             : 8px;
}

/* Pour chaque <li> qui suit un autre <li>, on ajoute la bordure */
.footer__creation .site-footer-menu li + li {
	padding-left : 8px; /* espace avant le texte */
	border-left  : 1px solid var(--e-global-color-accent, #fdfeff);
}

/* pas de padding sur le premier */
.footer__creation .site-footer-menu li:first-child {
	padding-left : 0;
}

.footer__creation a,
.footer__creation li a {
	color           : var(--e-global-color-text) !important;
	text-decoration : none;
	font-size       : 12px;
	font-style      : normal;
	font-weight     : 400;
	line-height     : 24px;
	letter-spacing  : 0.4px;
}

.site-footer-menu .site-footer-menu__title {
	display : none;
}

/*Creation*/
/*--------------------------------------------------*/

/*--------------------------------------------------*/
/*Reassurance*/

.footer-reassurances {
	display         : flex;
	padding         : 0;
	align-items     : center;
	justify-content : center;
	padding-bottom  : 40px !important;
	overflow        : hidden;
}

.footer-reassurances * {
	color : var(--e-global-color-text) !important;
}

.footer-reassurances__wrapper {
	width           : 100%;
	display         : flex;
	flex-wrap       : wrap;
	align-items     : center;
	justify-content : space-between;
}

.footer-reassurance {
	gap             : 20px;
	display         : flex;
	flex-direction  : row;
	position        : relative;
	align-items     : center;
	justify-content : center;
	text-align      : center;
}

.footer-reassurance__icon {
	max-width  : 55px;
	max-height : 45px;
}

.footer-reassurance__icon img {
	width  : 100%;
	height : auto;
}

.footer-reassurance__infos {
	display        : flex;
	flex-direction : column;
	text-align     : start;
}

.footer-reassurance__infos span {
	color          : var(--e-global-color-text) !important;
	font-size      : 13px;
	font-style     : normal;
	font-weight    : 400;
	line-height    : 18px;
	letter-spacing : 0.2px;
}

.footer-reassurance__infos span b {
	color          : var(--e-global-color-text) !important;
	font-size      : 15px;
	font-style     : normal;
	font-weight    : 700;
	line-height    : 19px;
	letter-spacing : -0.2px;
}

/*Reassurance*/
/*--------------------------------------------------*/


/*--------------------------------------------------*/
/*RESPONSIVE*/

/*desktop*/
@media (min-width : 1025px) {

	.logo-mobile {
		display : none;
	}

}

/*Phone*/
@media (max-width : 1024px) {

	.footer-row__content {
		margin         : 2%;
		height         : fit-content;
		flex-direction : column;
		padding        : 40px 16px 90px 16px;
	}

	/*Logos*/
	.logo-empty,
	.logo-visible {
		display : none;
	}

	.logo-mobile {
		width    : 100%;
		height   : auto;
		margin   : 0 auto;
		position : absolute;
		bottom   : 0;
	}

	.logo-mobile img {
		width      : 100%;
		height     : auto;
		max-height : 150px;
	}

	/*Form*/
	.sub-menu.newsletter {
		padding-top : 32px;
	}

	/*Reassurances*/
	.footer-reassurances__wrapper {
		display               : grid;
		grid-template-columns : repeat(2, 1fr);
		gap                   : 14px;
	}

	/*Menus*/
	.menus__column {
		flex-direction : column;
		gap            : 16px;
		padding        : 40px 0;
	}

	.menus__column .sub-menu ul,
	.site-footer-menu ul.sub-menu {
		gap : 6px;
	}

	.menus__column .sub-menu li:first-child,
	.sub-menu.newsletter p {
		padding-top : 10px;
	}

	/*Creation*/
	.footer-bottom__infos {
		flex-direction : column;
		align-items    : center;
		gap            : 22px;
	}

}

/*Phone*/
@media (max-width : 600px) {

	.footer-feed__titles {
		flex-direction : column;
		gap            : 20px;
	}

	.footer-feed__titles span {
		font-size : 45px;
	}

	.preview-insta {
		height : 200px !important;
	}

	.preview-insta img {
		object-fit : cover !important;
	}

	.form-newsletter .forminator-col .forminator-field .forminator-button.forminator-button-submit {
		transform : translate(64px, -56px) !important;
		width: 100px !important;
	}
}

/*Phone*/
@media (max-width : 470px) {

	.footer-reassurances__wrapper {
		grid-template-columns : repeat(1, 1fr);
		gap                   : 14px;
		justify-items         : start;
	}

}

@media (min-resolution : 120dpi) and (max-resolution : 140dpi) {
	.form-newsletter .forminator-col .forminator-field .forminator-button.forminator-button-submit {
		transform : translate(50px, -58px) !important;
	}

	.site-footer .menus__column {
		padding : 30px 0 !important;
		gap     : 80px !important;
	}
}

@media (min-resolution : 141dpi) {
	.form-newsletter .forminator-col .forminator-field .forminator-button.forminator-button-submit {
		transform : translate(50px, -58px) !important;
	}

	.site-footer .menus__column {
		padding : 20px 0 !important;
		gap     : 40px !important;
	}
}

/*RESPONSIVE*/
/*--------------------------------------------------*/
